# $Revision: 1.46 $Date: 2002/10/14 19:13:28 $
#
# Conditional builds:
# --with openldap1 - build with openldap < 2.0.0
#
Summary:	LDAP Name Service Switch Module
Summary(es):	Biblioteca NSS para LDAP
Summary(pl):	Modu NSS LDAP
Summary(pt_BR):	Biblioteca NSS para LDAP
Name:		nss_ldap
Version:	202
Release:	1
License:	LGPL
Group:		Base
Source0:	ftp://ftp.padl.com/pub/%{name}-%{version}.tar.gz
Patch0:		%{name}-am_fixes.patch
URL:		http://www.padl.com/nss_ldap.html
BuildRequires:	autoconf
BuildRequires:	automake
%{!?_with_openldap1:BuildRequires: openldap-devel >= 2.0.0}
%{?_with_openldap1:BuildRequires:  openldap-devel <  2.0.0}
%{?_with_openldap1:BuildRequires:  openldap-devel >  1.2.0}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libdir		/lib

%description
nss_ldap is a C library extension (NSS module) which allows X.500 and
LDAP directory servers to be used as a primary source of aliases,
ethers, groups, hosts, networks, protocol, users, RPCs, services and
shadow passwords (instead of or in addition to using flat files or
NIS).

%description -l es
Este paquete contiene dos clientes de acceso a LDAP: nss_ldap y
pam_ldap.

nss_ldap son una serie de extensiones para la biblioteca C que
permiten que directorios X.500 y LDAP se usen como fuente de alias,
grupos, mquinas, protocolos, usuarios, RPCs, etc. (en vez de, o en
aadidura a, archivos normales o NIS)

pam_ldap es un mdulo para Linux-PAM que da soporte al intercambio de
seas, clientes V2, Netscape SSL, ypldapd, polticas de contraseas
Netscape Directory Server, autorizacin de acceso, hashes codificados,
etc.

%description -l pl
To jest nss_ldap - modu serwisu nazw odczytujcy dane z LDAP, ktry
mona uywa z glibc.

%description -l pt_BR
Esse pacote contm dois clientes de acesso a LDAP: nss_ldap e
pam_ldap.

nss_ldap  uma srie de extenses para a biblioteca C que permitem que
diretrios X.500 e LDAP sejam usados como fonte de apelidos, grupos,
mquinas, protocolos, usurios, RPCs, etc. (ao invs de, ou em adio
a, arquivos normais ou NIS)

pam_ldap  um mdulo para o Linux-PAM que d suporte a troca de
senhas, clientes V2, Netscape SSL, ypldapd, polticas de senhas
Netscape Directory Server, autorizao de acesso, hashes encriptados,
etc.

%prep
%setup -q
%patch -p1

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-ldap-lib=openldap
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_libdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ANNOUNCE AUTHORS ChangeLog NEWS README nsswitch*
%attr(0755,root,root) %{_libdir}/*.so*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: nss_ldap.spec,v $
Revision 1.46  2002/10/14 19:13:28  dzimi
- security update to nss_ldap-202
- rel 1

Revision 1.45  2002/10/09 13:14:41  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.44  2002/06/30 20:35:35  kloczek
- updated to 195 (many bug fixes),
- use new %doc and removed RFC documentaion (it is avalaible in rfc packages).

Revision 1.43  2002/05/21 23:14:15  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.42  2002/04/10 20:42:50  kloczek
- updated to 186 (bugfixes),
- merge translations from Conectiva.

Revision 1.41  2002/03/24 23:28:22  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.40  2002/02/23 04:05:42  kloczek
- adapterized.

Revision 1.39  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.38  2002/01/25 15:34:57  kura
- release 3
- added /lib/libnss_ldap.so.2 -> /lib/libnss_ldap-2.2.4.so link
STBR

Revision 1.37  2002/01/18 02:14:03  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.36  2001/12/06 12:56:48  qboosh
- adaperized, pl translations, cosmetics; release 2

Revision 1.35  2001/11/02 11:06:53  jajcus
- Version: 173

Revision 1.34  2001/09/06 19:12:43  kloczek
- updated to 172.

Revision 1.33  2001/08/06 16:26:49  kloczek
- updated to 167.

Revision 1.32  2001/07/04 13:48:35  kloczek
- updated to 159.

Revision 1.31  2001/06/24 23:00:09  kloczek
- updated to 158,
- added am_fixes aptch for correct build nss_ldap from non-root account,
- updated %doc files list,
- added using new autoconf and DESTDIR style install.

Revision 1.30  2001/05/22 09:06:33  wiget
switch to new conditional builds macros (bcond_on_ -> _with_/bcond_off_ -> _without_); no release changes only simple s/// perfored

Revision 1.29  2001/04/30 16:05:25  kloczek
- added using %%{rpmcflags} macro.

Revision 1.28  2001/01/25 20:03:41  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.27  2001/01/05 22:43:51  kloczek
- updated to 126.

Revision 1.26  2000/12/31 01:04:09  kloczek
- updated to 124.

Revision 1.25  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.24  2000/12/13 10:43:16  wiget
- version 123
- switch do bcond_* macros

Revision 1.23  2000/11/08 21:25:05  kloczek
- use new rpm automation.

Revision 1.22  2000/10/30 13:14:11  wiget
- 122
- if you don't like openldap2 then --define 'openldap1 1' to build this package

Revision 1.21  2000/10/16 11:11:10  wiget
BuildRequires: openldap >= 2.0.0

Revision 1.20  2000/10/16 11:10:36  wiget
120

Revision 1.19  2000/09/18 08:00:51  kloczek
- updated to 116.

Revision 1.18  2000/09/12 13:57:37  jajcus
- Release: 2
- updated for OpenLDAP 2.x.x

Revision 1.17  2000/07/25 07:18:54  kloczek
- updated to 113.

Revision 1.16  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.15  2000/06/02 15:32:48  wiget
110

Revision 1.14  2000/05/05 15:05:59  mis
- Group: synced with PLD groups

Revision 1.13  2000/04/01 11:15:08  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.12  2000/03/29 22:17:38  kloczek
- updated to 107,
- news URL.

Revision 1.11  2000/03/28 16:54:42  baggins
- translated kloczkish into english

Revision 1.10  2000/03/26 07:20:04  kloczek
- updated to 106.2.

Revision 1.9  2000/03/21 11:10:48  kloczek
- updated to 106.

Revision 1.8  2000/03/03 13:39:27  kloczek
- spec adapterized.

Revision 1.7  2000/03/03 12:46:29  wiget
105

Revision 1.6  2000/01/06 04:49:48  kloczek
- updated to 99.

Revision 1.5  1999/10/02 15:43:50  kloczek
- added passing $RPM_OPT_FLAGS to gcc parameters,
- added stripping shared nss_ldap module.

Revision 1.4  1999/10/01 20:19:12  kloczek
- removed COPYING.LIB because clear copyright statment is in Copyright
  field.

Revision 1.3  1999/10/01 19:47:09  waszi
- cosmetics

Revision 1.2  1999/09/11 15:00:21  jajcus
- BuildRequires: openldap-devel

Revision 1.1  1999/09/10 11:35:01  jajcus
- new spec for PLD
